Subject: Re: bug#31791: bootstrap phase attempts to run a directory

From: Gábor Boskovits <[email-masked]>
Date: Tue, 12 Jun 2018 16:48:23 +0200

2018-06-12 15:59 GMT+02:00 Ludovic Courtès <[email-masked]>:

> Christopher Baines <[email-masked]> skribis:
>
> > I've just noticed that the erlang package has started failing to
> > build. It looks like the bootstrap phase is over eager, and attempts to
> > run the bootstrap directory.
> >
> > I think I'll fix this by deleting the phase,
>
> That’s probably the right thing to do.  The new ‘bootstrap’ phase
> introduced in core-updates would run anything called ‘bootstrap’, but it
> doesn’t check whether that thing is a directory…
>
>
If this is a single occurrence, then I agree this is the way to go, but I
would
make a mental note to fix this in the phase, if this turn out to be more
widespread.

> Ludo’.